# frozen_string_literal: true

require "active_support/core_ext/object/blank"
require "active_support/core_ext/enumerable"
require "peatio"

module Peatio
  module Goldcoin
    require "bigdecimal"
    require "bigdecimal/util"

    require "peatio/goldcoin/blockchain"
    require "peatio/goldcoin/client"
    require "peatio/goldcoin/wallet"

    require "peatio/goldcoin/hooks"

    require "peatio/goldcoin/version"
  end
end
